[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomStaticText.Notification

Handles a notification that a component used in the control has been added or removed.

## Declaration

Source position: stdctrls.pp line 1104

`protected procedure TCustomStaticText.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation for the notification.

## Description

Notification is an overridden method in TCustomStaticText, and calls the inherited method on entry. Notification ensures that FocusControl is set to Nil when it is the component for the opRemove Operation.

## See also

TCustomStaticText.FocusControl |  | The control that receives focus instead of this control.
TControl.Notification |  | Notification handler for insertion or deletion of components.